
Redmine - Feature #440

Time tracking stopwatch

2007-09-19 09:10 - Rico Pacino

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Add a stopwatch button to the timetracker. When clicked it records the time working on a issue. When clicked again timer

stops.

Related issues:

Related to Redmine - Patch #1650: Start/end time tracking for timelogging New 2008-07-15

Related to Redmine - Feature #5173: Enter Start & End times for time tracking New 2010-03-24

Related to Redmine - Feature #6518: Time logger: browser play / pause & stop ... New 2010-09-28

Has duplicate Redmine - Feature #4035: Start/Stop button in "Log time" Closed 2009-10-15

Has duplicate Redmine - Feature #4601: Issue spent time recording Closed 2010-01-18

Has duplicate Redmine - Feature #12212: Easier Timetracking implementation Closed

Has duplicate Redmine - Feature #14120: Start/stop button to time tracker Closed

Has duplicate Redmine - Feature #20385: Time Counting Closed

History

#1 - 2007-11-22 01:54 - w paap

Jean-Philippe Lang pointed out this request where I should post,

thanks!

We use RedMine at work, but as a programmer I have to run a separate

tool to monitor my time I am spending on an issue. I was browsing

a bit when I found SlimTimer (http://www.slimtimer.com). I think

this would be a great feature for RedMine. I would be great if

you started to work on an issue, you could click a link like

'start' and the timer would automatically report/add the time

worked on the issue.

#2 - 2007-11-28 05:22 - Ricardo Trindade

This would be really nice. One of the Trac time tracking plugins

has this, and it works great

#3 - 2007-12-17 17:24 - Maxim Krušina

We migrated from Trac. The name of Plugin was worklog 0.1 - it

was really handy for lot of poeople from our team.

PS: there is also Trac plugin, which integrates Trac with SlimTimer

(I think ;)

#4 - 2008-01-21 13:12 - Peter Bonnell

We just migrated from TRAC (so easy!).

We'd love to see this at the issue level.

#5 - 2008-01-24 09:20 - tof b

I really like to have that functionnality too. I actually use

slimtimer to track my site but it gives me lots of headaches

to synchronise both lists

2025-07-02 1/3

http://www.slimtimer.com


#6 - 2008-01-24 10:15 - Maxim Krušina

Voting for this!

#7 - 2008-03-26 23:00 - Daniel N

This would be very cool. Relates or extends #924

#8 - 2008-05-23 17:12 - Ben Oakes

+1

#9 - 2008-06-12 21:52 - Lane Roathe

+1 as we are actually looking for a solution to this very issue. After using Redmine for a few months, we've found tracking time to be an issue and the

ability to click start/stop to track time would be very helpful.

#10 - 2008-07-28 02:17 - Arthaey Angosii

+1

#11 - 2008-08-29 04:15 - Tom Robinson

+1 It would be good if when you add a new issue and start the timer, it automagically stopped the existing timer, logged that time, and started the new

issue timer.

#12 - 2008-12-08 15:40 - Mischa The Evil

- Category set to Time tracking

I've related patch #1650 to this issue since it would resolve it...

#13 - 2009-02-04 20:11 - Jase Roberts

Oops, I intended to place this comment here yesterday, but instead posted it in 1650:

We've just started using Redmine in our web shop, and also would really like to see this feature be officially implemented in the trunk. Discussion on

this is currently fragmented here, plus:

Patch: http://www.redmine.org/issues/show/1650

Patch/fork discussion: http://www.redmine.org/boards/1/topics/show/2352

Idea for feature: http://www.redmine.org/boards/1/topics/show/1027

Having only skimmed these latter three, I'm not completely clear on the status of the patch (but very much appreciate the effort that has gone into it).

Would be great to see this in trunk. We're currently also using SlimTimer, but repetition of data entry is a pain and prone to error.

#14 - 2009-03-09 18:02 - Jan Klosinski

+1

#15 - 2009-03-22 13:18 - Alex Dodkin

We are working on timer function that integrates with Redmine for our own company, check it out here: 

http://www.eggplantdigital.cn/build-tools/our-new-web-app-eggplant-timer-for-redmine/

If you are interested please let me know: info@eggplantdigital.cn

#16 - 2009-03-22 18:27 - Markus Knittig

Looks good. Is this implemented by a plugin or a patch?

#17 - 2009-03-30 02:20 - Mischa The Evil

Alex Dodkin wrote:

We are working on timer function that integrates with Redmine for our own company, check it out here: 

http://www.eggplantdigital.cn/build-tools/our-new-web-app-eggplant-timer-for-redmine/

 I've been busy keeping #1650 uptodate with trunk way-back and therefor quite curious about the thing you are developing... I am keen to see any

informational updates for this "thing" in near future. ;)

Markus Knittig wrote:

[...]Is this implemented by a plugin or a patch?[...]
 It seems to be an independant application runnign along with Redmine...

#18 - 2009-08-16 23:25 - Yannick Warnier

+1

Using SlimTimer idependently from RedMine would ensure we can log time in RedMines of various departments or various companies at the same

time.

I'd be pleased to be kept informed of any work done on this (as I might get into this soon).

#19 - 2009-10-07 09:18 - GOYELLO IT Services

Hi!

We have recently developed plugin that could suite your needs. Its main feature is the time recording, but it also works as daily planing dashboard.

You can find all the info about it in here.

Regards.

#20 - 2010-03-22 22:35 - Mischa The Evil

There now also exists a dedicated KISS (as in feature-specs) plugin solution for this issue as in the TimeTracker plugin.

As of today Alex Dodkin and the EggPlant Digital Team seems to have stalled their activities on developing their solution which they mentioned at 

440#note-15.

The solution of GOYELLO IT Services noted in 440#note-19 seems to do a great job but it also seems a bit "overblown" and almost bloated due to

the way the plugin was derived from Eric's Stuff-To-Do plugin.

Another related work-in-progress plugin is the My Effort plugin which is first mentioned by Nanda Palaniswamy in 4035#note-1.

HTH...

#21 - 2013-05-23 08:44 - Maxim Kim

Is there any up-to-date plugin which does timer job? All abouve is 3 years old wihtout support of new Redmine versions.

#22 - 2015-07-22 08:30 - Mischa The Evil

- Has duplicate Feature #20385: Time Counting added
